<template>
	<view>
		<!-- 进度 -->
		<view class="width100 height90 backcorfff">
			<evan-steps :active="merchart-1" direction="horizontal" class="paddtop10">
				<evan-step title="账户信息"></evan-step>
				<evan-step title="基本信息"></evan-step>
				<evan-step title="结算信息"></evan-step>
				<evan-step title="门店信息"></evan-step>
			</evan-steps>
		</view>
		<!-- 审核状态回馈 -->
		<view class="width100 line10 "></view>
		<view class="width100" style="background-color: #eb6a53;"
			v-if="merDetailInfo.merContractFailMsg && merDetailInfo.merContractFailMsg.response_msg">
			<view class="font18 fcorfff paading10 aliitem">
				<image src="../../../static/img/error.png" mode="widthFix" class="iconw25 marglerig"></image>审核失败
				<text class="fotct margle20 backcorfff fcoreb5 font14 border-r marRight20 flright paddtop5 paddbotm5"
					style="width: 80px;" @click="reconsider" v-if="merPlatformType && merPlatformType == 1">复议提交</text>
			</view>
			<view class="font14 fcorfff paading10">{{merDetailInfo.merContractFailMsg.response_msg}}</view>

		</view>
		<!--第一步 未录入账户信息 -->
		<view class="width100 mart10 backcorfff font14" v-if="merchart == 1 && currentstatus != 1">
			<view class="username">
				<view class="namecont">商户联系人</view>
				<input placeholder="请输入商户联系人" v-model="mercontacts" type="text"
					placeholder-style="color: #bfbfbf;font-size:14px;padding-top:2px;" />
			</view>
			<view class="username">
				<view class="namecont">商户手机号</view>
				<input placeholder="请输入申请人手机号" v-model="phoneNumber" type="number"
					placeholder-style="color: #bfbfbf;font-size:14px;padding-top:2px;" />
			</view>
			<!-- 	<view class="password">
				<view class="namecont">验证码</view>
				<input placeholder="请输入验证码" v-model="code" type="number"
					placeholder-style="color: #bfbfbf;font-size:14px;padding-top:2px;" />
				<view class="get-code" :style="{'color':getCodeBtnColor}" @click.stop="getCode()">{{getCodeText}}
				</view>
			</view> -->
			<view class="username">
				<view class="namecont">联系邮箱</view>
				<input placeholder="请输入联系邮箱" v-model="emails" type="text"
					placeholder-style="color: #bfbfbf;font-size:14px;padding-top:2px;" />
			</view>
			<view class="password">
				<view class="namecont">登录账号</view>
				<input placeholder="2-20位数字,字母" v-model="loginphone" type="text"
					placeholder-style="color: #bfbfbf;font-size:14px;padding-top:2px;" />
			</view>
			<view class="notes">
				注:商户初始密码为123456
			</view>
		</view>
		<!-- <view class="checkboxg font14" v-if="merchart == 1 && currentstatus != 1">
			<checkbox-group class="aliitem fcor666" @change="changechk">
				<checkbox class="checbox" value="cb" :checked="ischecked" />同意<text class="fcor089">《什么什么什么什么法哦》</text>
			</checkbox-group>
		</view> -->
		<!--第一步 已录入账户信息 -->
		<view class="width100 mart10 backcorfff font14" v-if="merchart == 1 && currentstatus == 1">
			<view class="username">
				<view class="namecont">商户手机号</view>
				<view class="font14 fcor333 text2 width75 fotrt">{{merDetailInfo.account.telephone}}</view>
			</view>
			<view class="username">
				<view class="namecont">登录账号</view>
				<view class="font14 fcor333 text2 width75 fotrt">{{merDetailInfo.account.loginName}}</view>
			</view>
			<view class="username">
				<view class="namecont">联系邮箱</view>
				<view class="font14 fcor333 text2 width75 fotrt">{{merDetailInfo.regEmail}}</view>
			</view>
		</view>


		<!--第二步 未录入基本信息 -->
		<view class="width100 mart10 backcorfff" v-if="merchart == 2 && currentstatus != 1">
			<view class="titlename font18 fontwig6 fcor333">营业信息</view>
			<!-- 个体商户,企业商户 -->
			<view class="username">
				<view class="namecont">机构类型</view>
				<picker mode="selector" style="width: 70%;" :range="organizationType" range-key="codeName"
					@change="changefeilvalue">
					<view class="text1">{{organizationName}}</view>
				</picker>
				<image src="../../../static/img/jtg.png" mode="widthFix" class="iconw"></image>
			</view>
			<view class="username">
				<view class="namecont">商户类型</view>
				<input placeholder="请选择商户类型" v-model="merchantType" style="width: 70%;" disabled="true"
					placeholder-style="color: #bfbfbf;font-size:14px;padding-top:2px;" @click="showPopup()" />
				<image src="../../../static/img/jtg.png" mode="widthFix" class="iconw"></image>
			</view>
			<view class="titlename fcor666" v-if="merchantId != 3">营业执照</view>
			<view class="width94 displ" v-if="merchantId != 3">
				<image :src="businimg" v-if="businimg" mode="widthFix" class="width45" style="margin-left: 3%;"
					@click="upload(1)"></image>
				<image src="../../../static/img/businesslic.png" v-else mode="widthFix" class="width45"
					style="margin-left: 3%;" @click="upload(1)"></image>
				<image src="../../../static/img/businesslic1.png" mode="widthFix" class="width45"
					style="margin-left: 3%;" @click="perImage('../../../static/img/businesslic1.png')"></image>
			</view>
			<view class="username" style="border-bottom: 0px;" v-if="merchantId != 3">
				<view class="namecont">公司名称</view>
				<input placeholder="请输入营业执照上的名称" v-model="companyname" style="width: 70%;"
					placeholder-style="color: #bfbfbf;font-size:14px;padding-top:2px;" />
			</view>
			<view class="username" v-if="merchantId == 3">
				<view class="namecont">公司名称</view>
				<input placeholder="输入商户_XX(XX为法人姓名)" v-model="companyname" style="width: 70%;"
					placeholder-style="color: #bfbfbf;font-size:14px;padding-top:2px;" />
			</view>
			<view class="notes font13" style="color: #eb5823;border-bottom: 1px solid #f6f6f6;" v-if="merchantId == 2">
				<image mode="widthFix" class="iconw" src="../../../static/img/gth.png"></image> 公司名称应与营业执照一致
			</view>
			<view class="notes font13" style="color: #eb5823;border-bottom: 1px solid #f6f6f6;" v-if="merchantId == 1">
				<image mode="widthFix" class="iconw" src="../../../static/img/gth.png"></image>
				<text class="width90p">若营业执照上无名称，请填写“个体工商户XXX”(XXX为营业执照上经营者姓名)</text>
			</view>
			<view class="username" v-if="merchantId != 3">
				<view class="namecont">营业执照号</view>
				<input placeholder="请输入营业执照号" v-model="businnum" style="width: 70%;"
					placeholder-style="color: #bfbfbf;font-size:14px;padding-top:2px;" />
			</view>
			<view class="username" v-if="merchantId != 3">
				<view class="namecont">注册地址</view>
				<input placeholder="请输入注册地址" v-model="regaddress" style="width: 70%;"
					placeholder-style="color: #bfbfbf;font-size:14px;padding-top:2px;" />
			</view>
			<view class="username" v-if="merchantId != 3" style="border-bottom: 0px;">
				<view class="namecont">营业期限</view>
				<view class="width30 aliitem" @tap="timetype='1'">
					<radio class="checbox" :checked="timetype == '1'" color="#0083f5" /> 选择时间
				</view>
				<view class="width30 aliitem" @tap="timetype='2'">
					<radio class="checbox" :checked="timetype == '2'" color="#0083f5" /> 长期有效
				</view>
			</view>
			<view class="username width80" v-if="merchantId != 3">
				<picker mode="date" class="width40 fotct" :value="start_date" :start="startDate" :end="endDate"
					@change="bindDateChange">
					<view class="date">{{start_date}}</view>
				</picker>
				<view class="width10 fotct">至</view>
				<picker v-if="timetype == '1'" mode="date" class="width40 fotct" :value="end_date" :start="startDate"
					:end="endDate" @change="bindDateChange2">
					<view class="date">{{end_date}}</view>
				</picker>
				<view class="width40 fotct fcor999" v-if="timetype == '2' ">长期有效</view>
			</view>
			<view class="username" style="border-bottom: 0px;">
				<view class="namecont">商户简称</view>
				<input placeholder="请输入商户简称" v-model="merabbreviation" style="width: 70%;"
					placeholder-style="color: #bfbfbf;font-size:14px;padding-top:2px;" />
			</view>
			<view class="notes font13" style="color: #eb5823;border-bottom: 1px solid #f6f6f6;">
				<view class="width70 aliitem">
					<image mode="widthFix" class="iconw" src="../../../static/img/gth.png"></image> 在支付完成后向买家展示,请慎重填写!
				</view>
				<view class="fcor666 alijusend width30" @click="perImage('../../../static/img/businesslic2.png')">查看示例
					<image mode="widthFix" style="width: 12px;" src="../../../static/img/jtg.png"></image>
				</view>
			</view>
			<view class="username">
				<view class="namecont">行业类目</view>
				<input placeholder="请选择类目" v-model="industrycategory" style="width: 70%;" disabled="true"
					@click="showjob()" placeholder-style="color: #bfbfbf;font-size:14px;padding-top:2px;" />
				<image src="../../../static/img/jtg.png" mode="widthFix" class="iconw"></image>
			</view>
			<view class="username">
				<view class="namecont">经营地区</view>
				<pickRegions :defaultRegion="defaultRegionCode" class="width70" @getRegion="handleGetRegion">
					<view style="color: #333333;font-size:14px;padding-top:2px;" v-if="regionName">
						{{regionName}}
					</view>
					<view style="color: #bfbfbf;font-size:14px;padding-top:2px;" v-else>请选择经营地区</view>
				</pickRegions>
				<image src="../../../static/img/jtg.png" mode="widthFix" class="iconw"></image>
			</view>

			<view class="username">
				<view class="namecont font16">经营类型</view>
				<picker mode="selector" style="width: 70%;" :range="merOperateList" range-key="codeName"
					@change="bindUserCard">
					<view class=" text1 marRight10 font14" v-if="merOperateType">
						{{merOperateName}}
					</view>
					<view class=" text1 marRight10 fcor999 font14" v-else>
						请选择设备类型
					</view>
				</picker>
				<image src="../../../static/img/jtg.png" mode="widthFix" class="iconw"></image>
			</view>

			<view class="username" v-if="merOperateType == 2">
				<view class="namecont font16">线上类型</view>
				<picker mode="selector" style="width: 70%;" :range="merOnlineList" range-key="codeName"
					@change="bindUserCard1">
					<view class=" text1 marRight10 font14" v-if="merOnlineType">
						{{merOnlinetypsName}}
					</view>
					<view class=" text1 marRight10 fcor999 font14" v-else>
						请选择设备类型
					</view>
				</picker>
				<image src="../../../static/img/jtg.png" mode="widthFix" class="iconw"></image>
			</view>
			<view class="username" v-if="merOperateType == 2">
				<view class="namecont">线上产品名称</view>
				<input placeholder="请输入线上产品名称" v-model="merOnlineName" style="width: 70%;"
					placeholder-style="color: #bfbfbf;font-size:14px;padding-top:2px;" />
			</view>
			<view class="username">
				<view class="namecont">mcc编号</view>
				<input placeholder="请选择mcc编号" v-model="mccname" style="width: 70%;" disabled="true"
					@click="jumpchangemcc()" placeholder-style="color: #bfbfbf;font-size:14px;padding-top:2px;" />
				<image src="../../../static/img/jtg.png" mode="widthFix" class="iconw"></image>
			</view>

			<view class="username" style="border-bottom: 0px;">
				<view class="namecont">详情地址</view>
				<input placeholder="请精确到XX路XX号" v-model="detailsaddress" style="width: 70%;"
					placeholder-style="color: #bfbfbf;font-size:14px;padding-top:2px;" />
			</view>
			<view class="width100 line10"></view>
			<view class="titlename font18 fontwig6 fcor333">经营者/法人信息</view>

			<!-- 	<view class="notes font16" style="border-bottom: 0px;">
				<view class="width70 aliitem fcor666">
					手持身份证
				</view>
			</view>
			<view class="width94 displ mart5">
				<image src="../../../static/img/businesslic4.png" mode="widthFix" class="width45"
					style="margin-left: 3%;"></image>
				<image src="../../../static/img/businesslic5.png" mode="widthFix" class="width45"
					style="margin-left: 3%;" @click="perImage('../../../static/img/businesslic5.png')"></image>
			</view> -->

			<view class="notes font16" style="border-bottom: 0px;">
				<view class="width70 aliitem fcor666">
					证件照片
				</view>
				<view class="fcor666 alijusend width30 font14"
					@click="perImage('../../../static/img/businesslic3.png')">查看示例
					<image mode="widthFix" style="width: 12px;" src="../../../static/img/jtg.png"></image>
				</view>
			</view>
			<view class="width94 displ mart5">
				<image :src="idcardposimg" v-if="idcardposimg" mode="widthFix" class="width45" style="margin-left: 3%;"
					@click="upload(2)"></image>
				<image src="../../../static/img/frontidcard.png" v-else mode="widthFix" class="width45"
					style="margin-left: 3%;" @click="upload(2)"></image>
				<image :src="idcardsideimg" v-if="idcardsideimg" mode="widthFix" class="width45"
					style="margin-left: 3%;" @click="upload(3)"></image>
				<image src="../../../static/img/reverseidcard.png" v-else mode="widthFix" class="width45"
					style="margin-left: 3%;" @click="upload(3)"></image>
			</view>

			<view class="username">
				<view class="namecont">姓名</view>
				<input placeholder="请输入姓名" v-model="idcardname" style="width: 70%;"
					placeholder-style="color: #bfbfbf;font-size:14px;padding-top:2px;" />
			</view>
			<view class="username">
				<view class="namecont">身份证号</view>
				<input placeholder="请输入身份证号" v-model="idcard" style="width: 70%;"
					placeholder-style="color: #bfbfbf;font-size:14px;padding-top:2px;" />
			</view>
			<view class="username">
				<view class="namecont">身份证地址</view>
				<input placeholder="请输入身份证地址" v-model="larIdCardAddress" style="width: 70%;"
					placeholder-style="color: #bfbfbf;font-size:14px;padding-top:2px;" />
			</view>
			<view class="username" style="border-bottom: 0px;">
				<view class="namecont">有效期</view>
				<view class="width30 aliitem" @tap="idcardtime='1'">
					<radio class="checbox" :checked="idcardtime =='1'" color="#0083f5" /> 选择时间
				</view>
				<view class="width30 aliitem" @tap="idcardtime='2'">
					<radio class="checbox" :checked="idcardtime =='2'" color="#0083f5" /> 长期有效
				</view>
			</view>
			<view class="username width80">
				<picker mode="date" class="width40 fotct" :value="cardstart_date" :start="startDate" :end="endDate"
					@change="bindCardDateChange">
					<view class="date">{{cardstart_date}}</view>
				</picker>
				<view class="width10 fotct">至</view>
				<picker v-if="idcardtime == '1'" mode="date" class="width40 fotct" :value="cardend_date"
					:start="startDate" :end="endDate" @change="bindCardDateChange2">
					<view class="date">{{cardend_date}}</view>
				</picker>
				<view class="width40 fotct fcor999" v-if="idcardtime == '2' ">长期有效</view>
			</view>
		</view>
		<!--第二步 已录入基本信息 -->
		<view class="width100 mart10 backcorfff" v-if="merchart == 2 && currentstatus == 1">
			<view class="titlename font18 fontwig6 fcor333">营业信息</view>
			<view class="username">
				<view class="namecont">机构类型</view>
				<view class="font14 fcor333 text2 width75 fotrt">{{merDetailInfo.orgName}}</view>
			</view>
			<view class="username">
				<view class="namecont">商户类型</view>
				<view class="font14 fcor333 text2 width75 fotrt" v-if="merDetailInfo.merType == 1">个体商户</view>
				<view class="font14 fcor333 text2 width75 fotrt" v-if="merDetailInfo.merType == 2">企业商户</view>
				<view class="font14 fcor333 text2 width75 fotrt" v-if="merDetailInfo.merType == 3">小微商户</view>
			</view>
			<view class="titlename fcor666" v-if="merDetailInfo.blisUrl">营业执照</view>
			<view class="width94 displ" v-if="merDetailInfo.blisUrl">
				<image :src="imgsUrl+merDetailInfo.blisUrl" mode="widthFix" class="width30"
					@click="perImage(imgsUrl+merDetailInfo.blisUrl)" style="margin-left: 3%;"></image>
			</view>
			<view class="username">
				<view class="namecont">公司名称</view>
				<view class="font14 fcor333 text2 width75 fotrt">{{merDetailInfo.merName}}</view>
			</view>
			<view class="username" v-if="merDetailInfo.merNo">
				<view class="namecont">营业执照号</view>
				<view class="font14 fcor333 text2 width75 fotrt">{{merDetailInfo.merNo}}</view>
			</view>
			<view class="username" v-if="merDetailInfo.blisRegAddress">
				<view class="namecont">注册地址</view>
				<view class="font14 fcor333 text2 width75 fotrt">{{merDetailInfo.blisRegAddress}}</view>
			</view>
			<view class="username" v-if="merDetailInfo.blisPeriodStart">
				<view class="namecont">营业期限</view>
				<view class="font14 fcor333 text2 width75 fotrt">{{merDetailInfo.blisPeriodStart}} 至
					{{merDetailInfo.blisPeriodEnd}}
				</view>
			</view>
			<view class="username">
				<view class="namecont">商户简称</view>
				<view class="font14 fcor333 text2 width75 fotrt">{{merDetailInfo.merAbbreviate}}</view>
			</view>
			<view class="username">
				<view class="namecont">行业类目</view>
				<view class="font14 fcor333 text2 width75 fotrt">
					{{merDetailInfo.merIndustry.parentName}}-{{merDetailInfo.merIndustry.childName}}
				</view>
			</view>
			<view class="username">
				<view class="namecont">经营地区</view>
				<view class="font14 fcor333 text2 width75 fotrt">
					{{merDetailInfo.merRegion.provinceName}}-{{merDetailInfo.merRegion.cityName}}-{{merDetailInfo.merRegion.areaName}}
				</view>
			</view>
			<view class="username">
				<view class="namecont">详情地址</view>
				<view class="font14 fcor333 text2 width75 fotrt">{{merDetailInfo.merRegion.address}}</view>
			</view>
			<view class="width100 line10"></view>
			<view class="titlename font18 fontwig6 fcor333">经营者/法人信息</view>
			<view class="titlename fcor666">证件照片</view>
			<view class="width94 displ">
				<image :src="imgsUrl+merDetailInfo.larIdCardPortraitImg" mode="widthFix" class="width30"
					@click="perImage(imgsUrl+merDetailInfo.larIdCardPortraitImg)" style="margin-left: 3%;"></image>
				<image :src="imgsUrl+merDetailInfo.larIdCardNationalEmblemImg" mode="widthFix" class="width30"
					@click="perImage(imgsUrl+merDetailInfo.larIdCardNationalEmblemImg)" style="margin-left: 3%;">
				</image>
			</view>
			<view class="username">
				<view class="namecont">姓名</view>
				<view class="font14 fcor333 text2 width75 fotrt">{{merDetailInfo.larName}}</view>
			</view>
			<view class="username">
				<view class="namecont">身份证号</view>
				<view class="font14 fcor333 text2 width75 fotrt">{{merDetailInfo.larIdCard}}</view>
			</view>
			<view class="username">
				<view class="namecont">身份证地址</view>
				<view class="font14 fcor333 text2 width75 fotrt">{{merDetailInfo.larIdCardAddress}}</view>
			</view>
			<view class="username">
				<view class="namecont">有效期</view>
				<view class="font14 fcor333 text2 width75 fotrt">{{merDetailInfo.larIdCardPeriodStart}} 至
					{{merDetailInfo.larIdCardPeriodEnd}}
				</view>
			</view>
		</view>


		<!--第三步 未录入结算信息 -->
		<view class="width100 mart10 backcorfff" v-if="merchart == 3 && currentstatus != 1">
			<view class="titlename font18 fontwig6 fcor333">结算信息</view>
			<view class="username">
				<view class="namecont">结算类型</view>
				<input placeholder="请选择结算类型" v-model="lementType" style="width: 70%;" disabled="true"
					placeholder-style="color: #bfbfbf;font-size:14px;padding-top:2px;" @click="showPopup()" />
				<image src="../../../static/img/jtg.png" mode="widthFix" class="iconw"></image>
			</view>
			<!-- 非法人结算 -->
			<view class="titlename fcor666" v-if="lementId == 3">非法人结算授权书</view>
			<view class="width94 displ" v-if="lementId == 3">
				<image :src="uncorporsettelimg" v-if="uncorporsettelimg" @click="upload(10)" mode="widthFix"
					class="width45">
				</image>
				<image src="../../../static/img/businesslic7.png" v-else mode="widthFix" @click="upload(10)"
					class="width45" style="margin-left: 3%;"></image>
				<image src="../../../static/img/businesslic8.png" mode="widthFix" class="width45"
					style="margin-left: 3%;" @click="perImage('../../../static/img/businesslic8.png')"></image>
			</view>
			<view class="notes font13" style="color: #eb5823;border-bottom: 1px solid #f6f6f6;" v-if="lementId == 3">
				<image mode="widthFix" class="iconw" src="../../../static/img/gth.png"></image>
				<text class="width90p">请预览并保存授权书到本地，打印填写完整并签字后拍照上传；图片需清晰完整，以免审核失败</text>
			</view>
			<view class="notes font16" style="border-bottom: 0px;" v-if="lementId == 3">
				<view class="width70 aliitem fcor666">
					非法人身份证照片
				</view>
				<view class="fcor666 alijusend width30 font14"
					@click="perImage('../../../static/img/businesslic3.png')">查看示例
					<image mode="widthFix" style="width: 12px;" src="../../../static/img/jtg.png"></image>
				</view>
			</view>
			<view class="width94 displ mart5" v-if="lementId == 3">
				<image :src="idcardposimg" v-if="idcardposimg" mode="widthFix" class="width45" style="margin-left: 3%;"
					@click="upload(2)"></image>
				<image src="../../../static/img/frontidcard.png" v-else mode="widthFix" class="width45"
					style="margin-left: 3%;" @click="upload(2)"></image>
				<image :src="idcardsideimg" v-if="idcardsideimg" mode="widthFix" class="width45"
					style="margin-left: 3%;" @click="upload(3)"></image>
				<image src="../../../static/img/reverseidcard.png" v-else mode="widthFix" class="width45"
					style="margin-left: 3%;" @click="upload(3)"></image>
			</view>
			<view class="username" v-if="lementId == 3">
				<view class="namecont">姓名</view>
				<input placeholder="请输入姓名" v-model="idcardname" style="width: 70%;"
					placeholder-style="color: #bfbfbf;font-size:14px;padding-top:2px;" />
			</view>
			<view class="username" v-if="lementId == 3">
				<view class="namecont">身份证号</view>
				<input placeholder="请输入身份证号" v-model="idcard" style="width: 70%;"
					placeholder-style="color: #bfbfbf;font-size:14px;padding-top:2px;" />
			</view>
			<view class="username" v-if="lementId == 3">
				<view class="namecont">身份证地址</view>
				<input placeholder="请输入身份证地址" v-model="larIdCardAddress" style="width: 70%;"
					placeholder-style="color: #bfbfbf;font-size:14px;padding-top:2px;" />
			</view>
			<view class="username" style="border-bottom: 0px;" v-if="lementId == 3">
				<view class="namecont">有效期</view>
				<view class="width30 aliitem" @tap="idcardtime='1'">
					<radio class="checbox" :checked="idcardtime=='1'" color="#0083f5" /> 选择时间
				</view>
				<view class="width30 aliitem" @tap="idcardtime='2'">
					<radio class="checbox" :checked="idcardtime=='2'" color="#0083f5" /> 长期有效
				</view>
			</view>
			<view class="username width80" v-if="lementId == 3">
				<picker mode="date" class="width40 fotct" :value="cardstart_date" :start="startDate" :end="endDate"
					@change="bindDateChange">
					<view class="date">{{cardstart_date}}</view>
				</picker>
				<view class="width10 fotct">至</view>
				<picker v-if="idcardtime == '1'" mode="date" class="width40 fotct" :value="cardend_date"
					:start="startDate" :end="endDate" @change="bindDateChange2">
					<view class="date">{{cardend_date}}</view>
				</picker>
				<view class="width40 fotct fcor999" v-if="idcardtime == '2' ">长期有效</view>
			</view>
			<view class="notes font16" style="border-bottom: 0px;" v-if="lementId != 1">
				<view class="width70 aliitem fcor666">
					结算人银行卡照片
				</view>
			</view>
			<view class="width94 displ mart5" v-if="lementId != 1">
				<image :src="settleimg" v-if="settleimg" @click="upload(4)" mode="widthFix" class="width100">
				</image>
				<image src="../../../static/img/businesslic9.png" v-else @click="upload(4)" mode="widthFix"
					class="width100">
				</image>

			</view>
			<!-- 对公结算 -->
			<view class="notes font16" style="border-bottom: 0px;" v-if="lementId == 1">
				<view class="width70 aliitem fcor666">
					开户许可证照片
				</view>
				<view class="fcor666 alijusend width30 font14"
					@click="perImage('../../../static/img/businesslic6.png')">查看示例
					<image mode="widthFix" style="width: 12px;" src="../../../static/img/jtg.png"></image>
				</view>
			</view>
			<view class="width94 displ mart5" v-if="lementId == 1">
				<image mode="widthFix" class="width100" :src="accopenperimg" v-if="accopenperimg" @click="upload(5)">
				</image>
				<image src="../../../static/img/businesslic11.png" mode="widthFix" class="width100" v-else
					@click="upload(5)"></image>
			</view>
			<view class="username" v-if="lementId == 1">
				<view class="namecont">开户持有人</view>
				<input placeholder="请输入开户持有人" v-model="bankName" style="width: 70%;"
					placeholder-style="color: #bfbfbf;font-size:14px;padding-top:2px;" />
			</view>

			<view class="username" v-else>
				<view class="namecont">银行卡持有人</view>
				<input placeholder="请输入银行卡持有人" v-model="bankName" style="width: 70%;"
					placeholder-style="color: #bfbfbf;font-size:14px;padding-top:2px;" />
			</view>

			<view class="username" v-if="lementId == 1">
				<view class="namecont">开户账号</view>
				<input placeholder="请输入开户账号" v-model="bankNo" style="width: 70%;"
					placeholder-style="color: #bfbfbf;font-size:14px;padding-top:2px;" />
			</view>

			<view class="username" v-else>
				<view class="namecont">银行卡号</view>
				<input placeholder="请输入银行卡号" v-model="bankNo" style="width: 70%;"
					placeholder-style="color: #bfbfbf;font-size:14px;padding-top:2px;" />
			</view>

			<view class="username">
				<view class="namecont">开户行地址</view>
				<pickRegions :defaultRegion="defaultRegionCode" class="width70" @getRegion="handleBankCityCode">
					<view style="color: #333333;font-size:14px;padding-top:2px;" v-if="bankregionName">
						{{bankregionName}}
					</view>
					<view style="color: #bfbfbf;font-size:14px;padding-top:2px;" v-else>请选择开户行地址</view>
				</pickRegions>
				<image src="../../../static/img/jtg.png" mode="widthFix" class="iconw"></image>
			</view>

			<view class="username">
				<view class="namecont">所属支行</view>
				<input placeholder="请选择或者输入所属支行" v-model="belongbranch" style="width: 70%;" disabled="true"
					placeholder-style="color: #bfbfbf;font-size:14px;padding-top:2px;" />
				<image src="../../../static/img/jtg.png" mode="widthFix" class="iconw" @click="showdepositaryBank()">
				</image>
			</view>
			<!-- <view class="username" v-else>
				<view class="namecont">所属支行</view>
				<input placeholder="请输入所属支行" v-model="belongbranch" style="width: 70%;"
					placeholder-style="color: #bfbfbf;font-size:14px;padding-top:2px;" />
			</view> -->
			<!-- <view class="username">
				<view class="namecont">开户行号</view>
				<input placeholder="请输入开户行号" v-model="openingbankNo" style="width: 70%;"
					placeholder-style="color: #bfbfbf;font-size:14px;padding-top:2px;" />
			</view> -->



			<view class="username">
				<view class="namecont">所属银行</view>
				<input placeholder="请输入所属银行" v-model="belongbank" style="width: 70%;"
					placeholder-style="color: #bfbfbf;font-size:14px;padding-top:2px;" />
			</view>

			<!-- <view class="notes font16" style="border-bottom: 0px;">
				<view class="width70 aliitem fcor666">
					电子协议
				</view>
			</view> -->
			<!-- <view class="width94 displ mart5" v-for="(item,index) in electronicProtocolimg">
				<image class="chachaimg" mode="widthFix" src="../../../static/img/del.png"
					@click="listdeleteImg(index)"></image>
				<image mode="widthFix" class="width100" :src="item"></image>
			</view>
			<view class="width94 displ mart5" v-if="electronicProtocolimg.length < 5">
				<image src="../../../static/img/businesslic12.png" mode="widthFix" class="width100" @click="upload(9)">
				</image>
			</view> -->
			<!-- <view class="username">
				<view class="namecont">清算行号</view>
				<input placeholder="请输入清算行号" v-model="clearbankNo" style="width: 70%;"
					placeholder-style="color: #bfbfbf;font-size:14px;padding-top:2px;" />
			</view> -->
			<view class="titlename font18 fontwig6 fcor333" v-if="rateCodeList">商户费率</view>
			<view class="username" v-for="(item,index) in rateCodeList" :key="index">
				<view class="namecont">{{item.codeName}}</view>
				<input placeholder="请输入" type="digit" v-model="item.ext1" style="padding-left: 2%;width: 28%;"
					placeholder-style="color: #bfbfbf;font-size:14px;padding-top:2px;" />
				<view style="width: 40%;">(单位: 百分之一)</view>
			</view>
		</view>
		<!--第三步 已录入结算信息 -->
		<view class="width100 mart10 backcorfff" v-if="merchart == 3 && currentstatus == 1">
			<view class="titlename font18 fontwig6 fcor333">结算信息</view>
			<view class="username">
				<view class="namecont">商户类型</view>
				<view class="font14 fcor333 text2 width75 fotrt" v-if="merDetailInfo.merSettleAcct.settleType == 1">对公结算
				</view>
				<view class="font14 fcor333 text2 width75 fotrt" v-if="merDetailInfo.merSettleAcct.settleType == 2">
					对私法人结算</view>
				<view class="font14 fcor333 text2 width75 fotrt" v-if="merDetailInfo.merSettleAcct.settleType == 3">
					对私非法人结算</view>
			</view>
			<view class="titlename fcor666" v-if="merDetailInfo.merSettleAcct.settleIdCardPortraitImg">结算人身份证照片</view>
			<view class="width94 displ" v-if="merDetailInfo.merSettleAcct.settleIdCardPortraitImg">
				<image :src="imgsUrl+merDetailInfo.merSettleAcct.settleIdCardPortraitImg" mode="widthFix"
					class="width30" @click="perImage(imgsUrl+merDetailInfo.merSettleAcct.settleIdCardPortraitImg)"
					style="margin-left: 3%;"></image>
				<image :src="imgsUrl+merDetailInfo.merSettleAcct.settleIdCardNationalEmblemImg" mode="widthFix"
					class="width30" @click="perImage(imgsUrl+merDetailInfo.merSettleAcct.settleIdCardNationalEmblemImg)"
					style="margin-left: 3%;"></image>
			</view>
			<view class="username" v-if="merDetailInfo.merSettleAcct.settleIdCardName">
				<view class="namecont">姓名</view>
				<view class="font14 fcor333 text2 width75 fotrt">{{merDetailInfo.merSettleAcct.settleIdCardName}}</view>
			</view>
			<view class="username" v-if="merDetailInfo.merSettleAcct.settleIdCardNo">
				<view class="namecont">身份证号</view>
				<view class="font14 fcor333 text2 width75 fotrt">{{merDetailInfo.merSettleAcct.settleIdCardNo}}</view>
			</view>
			<view class="username" v-if="merDetailInfo.merSettleAcct.settleIdCardAddress">
				<view class="namecont">身份证地址</view>
				<view class="font14 fcor333 text2 width75 fotrt">{{merDetailInfo.merSettleAcct.settleIdCardAddress}}
				</view>
			</view>
			<view class="username" v-if="merDetailInfo.merSettleAcct.settleIdCardPeriodStart">
				<view class="namecont">有效期</view>
				<view class="font14 fcor333 text2 width75 fotrt">{{merDetailInfo.merSettleAcct.settleIdCardPeriodStart}}
					至 {{merDetailInfo.merSettleAcct.settleIdCardPeriodEnd}}</view>
			</view>
			<view class="titlename fcor666" v-if="merDetailInfo.merSettleAcct.bankCardImg">结算人银行卡照片</view>
			<view class="width94 displ" v-if="merDetailInfo.merSettleAcct.bankCardImg">
				<image :src="imgsUrl+merDetailInfo.merSettleAcct.bankCardImg" mode="widthFix" class="width30"
					@click="perImage(imgsUrl+merDetailInfo.merSettleAcct.bankCardImg)" style="margin-left: 3%;"></image>
			</view>
			<!-- 对公结算 -->
			<view class="titlename fcor666" v-if="merDetailInfo.merSettleAcct.openningBankLicenseUrl">开户许可证照片</view>
			<view class="width94 displ" v-if="merDetailInfo.merSettleAcct.openningBankLicenseUrl">
				<image :src="imgsUrl+merDetailInfo.merSettleAcct.openningBankLicenseUrl" mode="widthFix" class="width30"
					@click="perImage(imgsUrl+merDetailInfo.merSettleAcct.openningBankLicenseUrl)"
					style="margin-left: 3%;"></image>
			</view>
			<view class="username">
				<view class="namecont">开户行号</view>
				<view class="font14 fcor333 text2 width75 fotrt">{{merDetailInfo.merSettleAcct.openningBankCode}}</view>
			</view>
			<view class="username">
				<view class="namecont">所属支行</view>
				<view class="font14 fcor333 text2 width75 fotrt">{{merDetailInfo.merSettleAcct.openningBankName}}</view>
			</view>
			<view class="username">
				<view class="namecont">银行卡号</view>
				<view class="font14 fcor333 text2 width75 fotrt">{{merDetailInfo.merSettleAcct.bankCardNo}}</view>
			</view>
			<view class="username">
				<view class="namecont">银行卡持有人</view>
				<view class="font14 fcor333 text2 width75 fotrt">{{merDetailInfo.merSettleAcct.bankCardHolder}}</view>
			</view>
			<view class="username">
				<view class="namecont">所属银行</view>
				<view class="font14 fcor333 text2 width75 fotrt">{{merDetailInfo.merSettleAcct.bankName}}</view>
			</view>
			<!-- <view class="username">
				<view class="namecont">清算行号</view>
				<view class="font14 fcor333 text2 width75 fotrt">{{merDetailInfo.merSettleAcct.clearingBankCode}}</view>
			</view> -->
		</view>


		<!--第四步 未录入门店信息 -->
		<view class="width100 mart10 backcorfff" v-if="merchart == 4">
			<!-- <view class="username">
				<view class="namecont">门店账号</view>
				<input placeholder="请输入6-20位门店账号" maxlength="20" v-model="storeaccount" style="width: 70%;"
					placeholder-style="color: #bfbfbf;font-size:14px;padding-top:2px;" />
			</view> -->
			<view class="username">
				<view class="namecont">门店名称</view>
				<input placeholder="请输入门店名称" v-model="storename" style="width: 70%;"
					placeholder-style="color: #bfbfbf;font-size:14px;padding-top:2px;" />
			</view>
			<view class="username">
				<view class="namecont">门店电话</view>
				<input placeholder="请输入门店电话" v-model="storephone" style="width: 70%;"
					placeholder-style="color: #bfbfbf;font-size:14px;padding-top:2px;" />
			</view>
			<view class="username">
				<view class="namecont">门店地址</view>
				<input placeholder="请选择门店或者输入地址" @blur="formSubmit()" v-model="storeAddress" style="width: 70%;"
					placeholder-style="color: #bfbfbf;font-size:14px;padding-top:2px;" />
				<image src="../../../static/img/location.png" mode="widthFix" class="iconw"
					@click="jumpChangeAddress()">
				</image>
			</view>
			<view class="notes font16" style="border-bottom: 0px;">
				<view class="width70 aliitem fcor666">
					门店照片
				</view>
			</view>
			<view class="width94 displ mart5">
				<image :src="storeimg1" v-if="storeimg1" mode="widthFix" class="width45" style="margin-left: 3%;"
					@click="upload(6)"></image>
				<image src="../../../static/img/store/store1.png" v-else mode="widthFix" class="width45"
					style="margin-left: 3%;" @click="upload(6)"></image>
				<image src="../../../static/img/store/store2.png" mode="widthFix" class="width45"
					@click="perImage('../../../static/img/store/store2.png')" style="margin-left: 3%;"></image>
			</view>

			<view class="width94 displ mart5">
				<image :src="storeimg2" v-if="storeimg2" mode="widthFix" class="width45" style="margin-left: 3%;"
					@click="upload(7)"></image>
				<image src="../../../static/img/store/store3.png" v-else mode="widthFix" class="width45"
					style="margin-left: 3%;" @click="upload(7)"></image>
				<image src="../../../static/img/store/store4.png" mode="widthFix" class="width45"
					@click="perImage('../../../static/img/store/store4.png')" style="margin-left: 3%;"></image>
			</view>

			<view class="width94 displ mart5 marb15">
				<image :src="storeimg3" v-if="storeimg3" mode="widthFix" class="width45" style="margin-left: 3%;"
					@click="upload(8)"></image>
				<image src="../../../static/img/store/store5.png" v-else mode="widthFix" class="width45"
					style="margin-left: 3%;" @click="upload(8)"></image>
				<image src="../../../static/img/store/store6.png" mode="widthFix" class="width45"
					@click="perImage('../../../static/img/store/store6.png')" style="margin-left: 3%;"></image>
			</view>
		</view>


		<wybPopup ref="popup" type="bottom" width="500" bgColor="#f6f6f6" radius="6" :showCloseIcon="true">
			<!-- 商户类型选择 -->
			<view class="width100" v-if="merchart == 2">
				<view class="fotct font18 fontwig6 fcor333 mart10 height30">选择商户类型</view>
				<view class="width92 mart20" @click="changeMerchant(1)">
					<view class="wybtc">
						<image src="../../../static/img/wyb1.png" mode="widthFix" class="iconw40"></image>
						<view class="width70 margle10">
							<view class="fcor333 font16">个体商户</view>
							<view class="fcor999 font14">需要提供营业执照和法人身份证照片和结算银行卡等</view>
						</view>
						<image src="../../../static/img/jtg.png" mode="widthFix" class="iconw margle20"></image>
					</view>
				</view>
				<view class="width92 mart15" @click="changeMerchant(2)">
					<view class="wybtc">
						<image src="../../../static/img/wyb2.png" mode="widthFix" class="iconw40"></image>
						<view class="width70 margle10">
							<view class="fcor333 font16">企业商户</view>
							<view class="fcor999 font14">一般为有限公司,需要提供营业执照及法人身份证照片等</view>
						</view>
						<image src="../../../static/img/jtg.png" mode="widthFix" class="iconw margle20"></image>
					</view>
				</view>
				<view class="width92 mart15" @click="changeMerchant(3)">
					<view class="wybtc">
						<image src="../../../static/img/wyb3.png" mode="widthFix" class="iconw40"></image>
						<view class="width70 margle10">
							<view class="fcor333 font16">小微商户</view>
							<view class="fcor999 font14">无营业执照的商户</view>
						</view>
						<image src="../../../static/img/jtg.png" mode="widthFix" class="iconw margle20"></image>
					</view>
				</view>
			</view>
			<!-- 结算类型 -->
			<view class="width100" v-if="merchart == 3">
				<view class="fotct font18 fontwig6 fcor333 mart10 height30">选择商户类型</view>
				<view class="width92 mart20" @click="changelementtype(1)">
					<view class="wybtc" style="height: 40px;">
						<image src="../../../static/img/wyb4.png" mode="widthFix" class="iconw40"></image>
						<view class="width70 margle10">
							<view class="fcor333 font16">对公结算</view>
						</view>
						<image src="../../../static/img/jtg.png" mode="widthFix" class="iconw margle20"></image>
					</view>
				</view>
				<view class="width92 mart20" @click="changelementtype(2)">
					<view class="wybtc" style="height: 40px;">
						<image src="../../../static/img/wyb4.png" mode="widthFix" class="iconw40"></image>
						<view class="width70 margle10">
							<view class="fcor333 font16">对私法人结算</view>
						</view>
						<image src="../../../static/img/jtg.png" mode="widthFix" class="iconw margle20"></image>
					</view>
				</view>
				<view class="width92 mart20" @click="changelementtype(3)">
					<view class="wybtc" style="height: 40px;">
						<image src="../../../static/img/wyb4.png" mode="widthFix" class="iconw40"></image>
						<view class="width70 margle10">
							<view class="fcor333 font16">对私非法人结算</view>
						</view>
						<image src="../../../static/img/jtg.png" mode="widthFix" class="iconw margle20"></image>
					</view>
				</view>
			</view>
		</wybPopup>
		<!-- 下一步,审核 -->
		<view class="btn" @tap="gonextstep" v-if="merchart != 4">下一步</view>
		<view class="btn" @tap="gonextstep" v-else>提交审核</view>
		<view class="onlab" @click="choicemer" v-if="merchart != 1">查看上一步内容</view>
		<view class="width100 height60"></view>
	</view>
</template>

<script>
	import EvanStep from '../../../components/evan-steps/evan-step.vue';
	import wybPopup from '../../../components/wyb-popup/wyb-popup.vue';
	import pickRegions from '../../../components/pick-regions/pick-regions.vue';
	import {
		recognizeBankCard,
		recognizeBusinessLicense,
		getImgSignedUrl,
		recognizeIdCard,
		configMerAccount,
		getMerDetail,
		configMerBasis,
		configMerSettlement,
		configMerStore,
		getDictionaryByCodeType,
		getBankCardBin,
		recognizeBankAccount,
		reconsider
	} from '../../../Utils/Api.js';
	const QQMapWX = require('../../../Utils/js/qqmap-wx-jssdk');
	const qqmapsdk = new QQMapWX({
		key: '7UMBZ-HFEHX-HSD4Q-Z3QY6-OQKN7-2QBDB'
	})
	let app = getApp();
	export default {
		components: {
			EvanStep,
			wybPopup,
			pickRegions
		},
		data() {
			const currentDate = this.getDate({
				format: true
			})
			return {
				reqUrl: app.globalData.url, //请求地址
				imgsUrl: app.globalData.imgUrl, //图片访问地址
				merchart: 1, //当前第几步操作
				mercontacts: '', //商户联系人
				phoneNumber: '', //商户手机号
				emails: '', //联系邮箱
				loginphone: '', //商户登录账号
				code: '', //验证码
				passwd: '', //密码
				getCodeText: '获取验证码',
				getCodeBtnColor: "#609ded", //倒计时颜色
				getCodeisWaiting: false, //是否点击
				ischecked: false, //是否同意条约
				currentstatus: 0, //当前步骤状态 1: 已录入  其他:未录入
				organizationType: [], //机构类型
				organizationId: '', //机构id
				organizationName: '', //机构名称
				merchantType: '个体商户', //商户类型
				merchantId: '1', //商户id
				lementType: '对公结算', //结算账户类型
				lementId: '1', //结算id
				businimg: '', //查看营业执照图片
				uploadbusinimg: '', // 上传营业执照
				companyname: '', //公司名称
				businnum: '', // 营业执照号
				regaddress: '', //注册地址
				merabbreviation: '', //商户简称
				industrycategory: '', //行业类目
				inducateid: '', //行业id
				detailsaddress: '', // 详情地址 
				idcardposimg: '', //查看证件照正面
				uploadidcardposimg: '', //上传证件照正面
				idcardsideimg: '', //查看证件照反面
				uploadidcardsideimg: '', //上传证件照反面
				idcardname: '', //证件姓名
				idcard: '', //身份证号
				larIdCardAddress: '', //身份证地址
				idcardtime: '1', // times:选择时间  longterm: 长期 
				uncorporsettelimg: '', //非法人结算授权书
				merOperateList: '', //商户经营类型
				merOnlineList: '', //商户线上产品类型
				merOperateType: '', //"商户经营类型  1：线下  2：线上",
				merOperateName: '', // 1：线下  2：线上",
				merOnlineType: '', //"商户线上产品类型 1：APP    2：网站    3：公众号/小程序/服务窗
				merOnlinetypsName: '', //1：APP    2：网站    3：公众号/小程序/服务窗
				merOnlineName: '', //"商户线上产品名称"
				uploaduncorporsettelimg: '', //上传非法人结算委托书
				settleimg: '', //结算人银行卡照片
				uploadsettleimg: '', //上传结算人银行卡照片
				accopenperimg: '', //开户许可证图片
				uploadaccopenperimg: '', //上传开户许可图片
				electronicProtocolimg: [], //商户电子协议
				openingbankNo: '', //开户行号
				OpenningBankCityCode: '', //开户行地区
				bankNo: '', // 银行卡号
				bankName: '', // 银行卡持有人
				belongbank: '', //所属银行
				belongbranch: '', //所属支行
				clearbankNo: '', //清算行号
				storeaccount: '', //门店账号
				storename: '', //门店名称
				storephone: '', //门店电话
				storeAddress: '', //门店地址
				storeareaCode: '', //地区编号
				storelongitude: '', //地址经度
				storelatitude: '', //地址纬度
				storeimg1: '', //查看门头图片
				storeimg2: '', //查看收银台图片
				storeimg3: '', //查看室内图片
				uploadstoreimg1: '', //上传门头图片
				uploadstoreimg2: '', //上传查看收银台图片
				uploadstoreimg3: '', //上传查看室内图片
				timetype: '1', // times:选择时间  longterm: 长期 
				start_date: '开始时间', //开始时间
				end_date: '结束时间', //到期时间
				cardstart_date: '开始时间', // 身份证开始时间
				cardend_date: '结束时间', //身份证结束时间
				region: [], //选择区域
				areaCode: '', //区级
				mccno: '', //mcc编号
				mccname: '', //mcc名称
				defaultRegion: ['北京市', '市辖区', '东城区'], //默认地区
				defaultRegionCode: '110101', //区级编号
				regionName: '',
				bankareaCode: '', //开户行市区编号
				bankregionName: '', //开户行名字
				businessLicenselist: [], // 营业执照识别数据
				bankCardlist: [], //银行卡识别数据
				idCardzm: [], //身份证正面
				idCardfm: [], //身份证反面
				merId: '', //开户id
				merDetailInfo: '', //用户信息
				rateCodeList: [], //费率字典
				merRateList: [], //提交费率数组
				merPlatformType: '' //渠道ID
			}
		},
		computed: {
			//开始时间转化
			startDate() {
				return this.getDate('start');
			},
			//结束时间转化
			endDate() {
				return this.getDate('end');
			},
			// //地区转换
			// regionName() {
			// 	// 转为字符串
			// 	this.areaCode = this.region.map(item => item.code)[2];
			// 	this.regionName =  this.region.map(item => item.name).join('-');
			// }
		},
		onLoad(options) {
			this.merId = options.id;
			this.merPlatformType = options.merPlatformType;
			this.getMerDetail(1);
		},
		onShow() {
			if (app.globalData.businessid) {
				this.industrycategory = app.globalData.businessname;
				this.inducateid = app.globalData.businessid;
			}
			if (app.globalData.mccid) {
				this.mccno = app.globalData.mccid;
				this.mccname = app.globalData.mccname;
			}
			if (app.globalData.depositaryBank) {
				this.belongbranch = app.globalData.depositaryBank;
				var belongbank = this.belongbranch.split('银行');
				this.belongbank = belongbank[0] + '银行';
			}
			if (app.globalData.branchBankNo) {
				this.openingbankNo = app.globalData.branchBankNo;
			}
			if (app.globalData.clearNo) {
				this.clearbankNo = app.globalData.clearNo;
			}
			if (app.globalData.storeMessage) {
				this.storeAddress = app.globalData.storeMessage.address;
				this.storeareaCode = app.globalData.storeMessage.ad_info.adcode;
				this.storelongitude = app.globalData.storeMessage.location.lng;
				this.storelatitude = app.globalData.storeMessage.location.lat;
			}
			this.merOperateList = app.globalData.Dictionaries.MER_OPERATE_TYPE;
			this.merOnlineList = app.globalData.Dictionaries.MER_ONLINE_TYPE;
		},
		onUnload() {
			app.globalData.businessid = '';
			app.globalData.businessname = '';
			app.globalData.mccid = '';
			app.globalData.mccname = '';
			app.globalData.branchBankNo = '';
			app.globalData.clearNo = '';
			app.globalData.storeMessage = '';
			app.globalData.depositaryBank = '';
		},
		methods: {
			//商户经营类型
			bindUserCard(e) {
				this.merOperateType = this.merOperateList[e.target.value].codeValue;
				this.merOperateName = this.merOperateList[e.target.value].codeName;
			},
			//商户线上产品类型
			bindUserCard1(e) {
				this.merOnlineType = this.merOnlineList[e.target.value].codeValue;
				this.merOnlinetypsName = this.merOnlineList[e.target.value].codeName;
			},
			//显示商户弹出
			showPopup() {
				this.$refs.popup.show();
			},
			// 选择开始日期
			bindDateChange: function(e) {
				this.start_date = e.target.value
			},
			// 选择结束日期
			bindDateChange2: function(e) {
				this.end_date = e.target.value;
			},
			// 身份证选择开始日期
			bindCardDateChange: function(e) {
				this.cardstart_date = e.target.value
			},
			// 身份证选择结束日期
			bindCardDateChange2: function(e) {
				this.cardend_date = e.target.value;
			},
			//选择经营地区
			handleGetRegion(region) {
				this.region = region;
				this.areaCode = this.region.map(item => item.code)[2];
				this.regionName = this.region.map(item => item.name).join('-');
			},
			//选择开户行
			handleBankCityCode(region) {
				this.region = region;
				this.bankareaCode = this.region.map(item => item.code)[2];
				this.bankregionName = this.region.map(item => item.name).join('-');
				app.globalData.bankareaCode = this.bankareaCode;
			},
			//选择行业
			showjob() {
				uni.navigateTo({
					url: '../business-category/business-category'
				})
			},
			//选择支行
			showdepositaryBank() {
				app.globalData.bankareaCode = this.bankareaCode;
				uni.navigateTo({
					url: '/pages/index/depositaryBank/depositaryBank'
				})
			},
			//选择mcc编号
			jumpchangemcc() {
				uni.navigateTo({
					url: '../mcc-list/mcc-list'
				})
			},
			//进件复议
			reconsider() {
				let that = this;
				let platformType = "";
				if (that.merPlatformType && that.merPlatformType != undefined) {
					platformType = that.merPlatformType;
				}
				uni.showModal({
					title: '复议提交',
					content: '确认信息是否正确',
					success: (res) => {
						if (res.confirm) {
							uni.showLoading({
								title: '提交审核中...'
							})
							let datas = {
								"merId": that.merId,
								"merPlatformType": platformType
							}
							reconsider(datas).then(res => {
								uni.hideLoading();
								if (res.return_code == '000000') {
									uni.showToast({
										title: '提交成功',
										icon: "none",
										duration: 2000,
										success() {
											setTimeout(() => {
												uni.navigateBack()
											}, 2000);
										}
									});
								} else {
									uni.showToast({
										title: res.return_msg,
										icon: "none",
										duration: 2000
									})
								}
							})
						}
					}
				});
			},
			//选择商户
			changeMerchant(item) {
				if (item == 1) {
					this.merchantId = 1;
					this.merchantType = '个体商户';
				}
				if (item == 2) {
					this.merchantId = 2;
					this.merchantType = '企业商户';
				}
				if (item == 3) {
					this.merchantId = 3;
					this.merchantType = '小微商户';
				}
				this.$refs.popup.hide();
			},
			//选择结算类型
			changelementtype(item) {
				if (item == 1) {
					this.lementId = 1;
					this.lementType = '对公结算';
				}
				if (item == 2) {
					this.lementId = 2;
					this.lementType = '对私法人结算';
				}
				if (item == 3) {
					this.lementId = 3;
					this.lementType = '对私非法人结算';
				}
				this.$refs.popup.hide();
			},
			// 获取当前时间
			getDate(type) {
				const date = new Date();
				let year = date.getFullYear();
				let month = date.getMonth() + 1;
				let day = date.getDate();

				if (type === 'start') {
					year = year - 60;
				} else if (type === 'end') {
					year = year + 50;
				}
				month = month > 9 ? month : '0' + month;
				day = day > 9 ? day : '0' + day;
				return `${year}-${month}-${day}`;
			},
			//请求发送验证码
			getCode() {
				uni.hideKeyboard()
				if (this.getCodeisWaiting) {
					return;
				}
				if (!(/^1(3|4|5|6|7|8|9)\d{9}$/.test(this.phoneNumber))) {
					uni.showToast({
						title: '请填写正确手机号码',
						icon: "none"
					});
					return;
				}
				// uni.showLoading({
				// 	title: '发送中...'
				// })
				this.getCodeisWaiting = true;
				this.getCodeBtnColor = "#bfbfbf"
				uni.showToast({
					title: '验证码已发送',
					icon: "none"
				});
				this.setTimer();
				// let params = {
				// 	phone: this.phoneNumber
				// }
				// sendSmsCode(params).then(res => {
				// 	uni.hideLoading();
				// 	if (res.return_code == '000000') {
				// 		this.getCodeisWaiting = true;
				// 		this.getCodeBtnColor = "#bfbfbf"
				// 		uni.showToast({
				// 			title: '验证码已发送',
				// 			icon: "none"
				// 		});
				// 		this.setTimer();
				// 	}
				// })
			},
			//倒计时
			setTimer() {
				let holdTime = 60;
				this.getCodeText = "重新获取60s"
				this.Timer = setInterval(() => {
					if (holdTime <= 0) {
						this.getCodeisWaiting = false;
						this.getCodeBtnColor = "#609ded";
						this.getCodeText = "获取验证码"
						clearInterval(this.Timer);
						return;
					}
					this.getCodeText = "重新获取" + holdTime + "s";
					holdTime--;

				}, 1000)
			},
			//勾选条约
			changechk() {
				if (this.ischecked) {
					this.ischecked = false;
				} else {
					this.ischecked = true;
				}
			},
			//item 放大图片
			perImage(item) {
				uni.previewImage({
					current: 0, //预览图片的下标
					urls: [item] //预览图片的地址，必须要数组形式，如果不是数组形式就转换成数组形式就可以
				})
			},
			//上传图片
			upload(item) {
				let that = this;
				uni.chooseImage({
					count: 1,
					sizeType: ['compressed'], //可以指定是原图还是压缩图，默认二者都有
					sourceType: ['camera', 'album'],
					success: function(res) {
						const tempFilePaths = res.tempFilePaths;
						that.uploadFile(tempFilePaths[0], item, 1);
					},
					error: function(e) {
						console.log(e);
					}
				});
			},

			/**
			 * H5端图片压缩
			 *  参数说明：
			 *  imgSrc 图片url
			 *  scale缩放比例 0-1
			 *  返回base64
			 *  callback 回调设置返回值 
			 */
			translate(imgSrc, scale, callback) {
				var img = new Image();
				img.src = imgSrc;
				img.onload = function() {
					var that = this;
					var h = that.height; // 默认按比例压缩
					var w = that.width;
					var canvas = document.createElement('canvas');
					var ctx = canvas.getContext('2d');
					var width = document.createAttribute("width");
					width.nodeValue = w;
					var height = document.createAttribute("height");
					height.nodeValue = h;
					canvas.setAttributeNode(width);
					canvas.setAttributeNode(height);
					ctx.drawImage(that, 0, 0, w, h);
					var base64 = canvas.toDataURL('image/jpeg', scale); //压缩比例
					canvas = null;
					callback(base64);
				}
			},
			//上传
			uploadFile(item, item1, item2) {
				const that = this
				that.translate(item, 0.2, imgURL => {
					const uploadTask = uni.uploadFile({
						url: that.reqUrl + '/mer/uploadBase64File',
						filePath: imgURL,
						header: {
							"Authorization": app.globalData.token
						},
						name: 'file',
						formData: {
							'merId': that.merId,
							'base64File': imgURL
						},
						success: function(uploadFileRes) {
							that.getImgSignedUrl(item1, JSON.parse(uploadFileRes.data)
								.return_data, item2);
						}
					});
				})
			},
			//删除图片
			listdeleteImg(e) {
				this.electronicProtocolimg.splice(e, 1);
			},
			//查看临时图片路径
			getImgSignedUrl(item, item1, item2) {
				let datas = {
					"fileUrl": item1
				}
				getImgSignedUrl(datas).then(res => {
					if (res.return_code == '000000') {
						if (item == 1) {
							if (item2 == 1) {
								this.recognizeBusinessLicense(res.return_data);
							} else {
								this.businimg = res.return_data;
							}
							this.uploadbusinimg = item1;
						}
						if (item == 2) {
							if (item2 == 1) {
								this.recognizeIdCard(1, res.return_data);
							} else {
								this.idcardposimg = res.return_data;
							}
							this.uploadidcardposimg = item1;
						}
						if (item == 3) {
							if (item2 == 1) {
								this.recognizeIdCard(2, res.return_data);
							} else {
								this.idcardsideimg = res.return_data;
							}
							this.uploadidcardsideimg = item1;
						}
						if (item == 4) {
							this.uploadsettleimg = item1;
							if (item2 == 1) {
								this.recognizeBankCard(res.return_data);
							} else {
								this.settleimg = res.return_data;
							}
						}
						if (item == 5) {
							this.uploadaccopenperimg = item1;
							if (item2 == 1) {
								this.recognizeBankAccount(res.return_data);
							} else {
								this.accopenperimg = res.return_data;
							}
						}
						if (item == 6) {
							this.storeimg1 = res.return_data;
							this.uploadstoreimg1 = item1;
						}
						if (item == 7) {
							this.storeimg2 = res.return_data;
							this.uploadstoreimg2 = item1;
						}
						if (item == 8) {
							this.storeimg3 = res.return_data;
							this.uploadstoreimg3 = item1;
						}
						// if (item1 == 9) {
						// 	that.electronicProtocolimg.push(res.return_data);
						// }
						if (item == 10) {
							this.uploaduncorporsettelimg = item1;
							this.uncorporsettelimg = res.return_data;
						}
					}
				})
			},
			//查询银行卡信息
			getBankCardBin(item) {
				let datas = {
					cardNo: item
				}
				getBankCardBin(datas).then(res => {
					if (res.return_code == '000000' && res.return_data) {
						this.belongbank = res.return_data.bankName;
						this.bankNo = res.return_data.cardNo;
						this.openingbankNo = res.return_data.bankCode;
						this.belongbranch = res.return_data.bankName;
						this.clearbankNo = res.return_data.clearingBankCode;
					}
				})
			},
			//开户行识别
			recognizeBankAccount(item) {
				uni.showLoading({
					title: '识别中...'
				})
				let datas = {
					url: item
				}
				recognizeBankAccount(datas).then(res => {
					uni.hideLoading();
					this.accopenperimg = item;
					if (res.return_code == '000000' && res.return_data) {
						var bankAccount = JSON.parse(res.return_data.data).data;
						this.bankName = bankAccount.legalRepresentative;
						this.bankNo = bankAccount.bankAccount;
						app.globalData.depositaryBank = bankAccount.depositaryBank;
					} else {
						uni.showToast({
							title: '图片识别失败、请重新上传或自动填写内容。',
							duration: 3000,
							icon: 'none'
						})
					}
				})
			},
			//营业执照识别
			recognizeBusinessLicense(item) {
				uni.showLoading({
					title: '识别中...'
				})
				let params = {
					url: item
				}
				recognizeBusinessLicense(params).then(res => {
					uni.hideLoading();
					if (res.return_code == '000000' && res.return_data) {
						this.businimg = item;
						this.businessLicenselist = JSON.parse(res.return_data.data).data;
						this.companyname = this.businessLicenselist.companyName;
						this.detailsaddress = this.businessLicenselist.businessAddress;
						this.businnum = this.businessLicenselist.creditCode;
						this.regaddress = this.businessLicenselist.businessAddress;
						this.start_date = this.businessLicenselist.RegistrationDate;
						let times = this.businessLicenselist.validPeriod.split('至');
						if (times == '长期') {
							this.timetype = '2';
						}
						if (times[1] == '永久') {
							this.timetype = '2';
						}
					} else {
						uni.showToast({
							title: '请上传正确的营业执照',
							duration: 2000,
							icon: 'none'
						})
					}
				})
			},
			//身份证识别
			recognizeIdCard(item, items) {
				uni.showLoading({
					title: '识别中...'
				})
				let params = {
					url: items
				}
				recognizeIdCard(params).then(res => {
					uni.hideLoading();
					if (res.return_code == '000000' && res.return_data) {
						if (item == 1) {
							if (JSON.parse(res.return_data.data).data.face != undefined) {
								this.idCardzm = JSON.parse(res.return_data.data).data;
								this.idcardname = this.idCardzm.face.data.name;
								this.idcardposimg = items;
								this.larIdCardAddress = this.idCardzm.face.data.address;
								this.idcard = this.idCardzm.face.data.idNumber;
							} else {
								uni.showToast({
									title: '请上传身份证人脸信息',
									duration: 2000,
									icon: 'none'
								})
							}
						}
						if (item == 2) {
							if (JSON.parse(res.return_data.data).data.back != undefined) {
								this.idCardfm = JSON.parse(res.return_data.data).data;
								let times = this.idCardfm.back.data.validPeriod.split('-');
								this.cardstart_date = times[0];
								this.idcardsideimg = items;
								this.cardend_date = times[1];
							} else {
								uni.showToast({
									title: '请上传身份证国徽信息',
									duration: 2000,
									icon: 'none'
								})
							}
						}
					} else {
						uni.showToast({
							title: '请上传正确的身份证信息',
							duration: 2000,
							icon: 'none'
						})
					}
				})
			},
			//银行卡识别
			recognizeBankCard(item) {
				uni.showLoading({
					title: '识别中...'
				})
				let params = {
					url: item
				}
				recognizeBankCard(params).then(res => {
					uni.hideLoading();
					if (res.return_code == '000000' && res.return_data) {
						this.settleimg = item;
						if (JSON.parse(res.return_data.data).data != undefined) {
							this.bankCardlist = JSON.parse(res.return_data.data).data;
							this.bankNo = this.bankCardlist.cardNumber;
							this.getBankCardBin(this.bankNo);
							this.belongbank = this.bankCardlist.bankName;
						} else {
							uni.showToast({
								title: '请上传正确的银行卡',
								icon: 'none',
								duration: 2000
							})
						}
					} else {
						uni.showToast({
							title: '请上传正确的银行卡',
							icon: 'none',
							duration: 2000
						})
					}

				})
			},
			//上一步
			choicemer() {
				uni.pageScrollTo({
					scrollTop: 0
				})
				if (this.merchart != 1) {
					this.merchart = this.merchart - 1;
					this.getMerDetail(0);
				}
			},
			//下一步
			gonextstep() {
				uni.pageScrollTo({
					scrollTop: 0
				})
				// this.getMerDetail(0);
				// 第一步
				if (this.merchart == 1) {
					if (this.currentstatus == 1) {
						this.getMerDetail(0);
						this.merchart = 2;
					} else {
						this.accountsub();
					}
					return;
				}
				// 第二步
				if (this.merchart == 2) {
					if (this.currentstatus == 1) {
						this.merchart = 3;
					} else {
						this.submitbasic();
					}
					return;
				}
				// 第三步
				if (this.merchart == 3) {
					if (this.currentstatus == 1) {
						this.merchart = 4;
					} else {
						let rateDatas = [];
						for (var i = 0; i < this.rateCodeList.length; i++) {
							if (this.rateCodeList[i].ext1) {
								let datas = {
									rateTypeCode: this.rateCodeList[i].codeValue,
									ratePct: this.rateCodeList[i].ext1
								}
								rateDatas.push(datas);
							}
						}
						this.merRateList = rateDatas;
						this.submitsettlement();
					}
					return;
				}
				// 第四步
				if (this.merchart == 4) {
					this.submitsotre();
					return;
				}
			},
			//查询商户信息
			getMerDetail(item) {
				let platformType = "";
				if (this.merPlatformType && this.merPlatformType != undefined) {
					platformType = this.merPlatformType;
				}
				let datas = {
					merId: this.merId,
					merPlatformType: platformType
				}
				getMerDetail(datas).then(res => {
					if (res.return_code == '000000' && res.return_data) {
						this.merDetailInfo = res.return_data;
						if (item == 1) {
							this.merchart = res.return_data.completeStatus;
						}
						if ((res.return_data.merStatus == 4 || res.return_data.merStatus == 2) && this
							.merchart !=
							1) {
							this.currentstatus = 0;
							//第二步
							if (res.return_data.merType) {
								this.merchantId = res.return_data.merType;
								if (res.return_data.merType == 1) {
									this.merchantType = '个体商户';
								}
								if (res.return_data.merType == 2) {
									this.merchantType = '企业商户';
								}
								if (res.return_data.merType == 3) {
									this.merchantType = '小微商户';
								}
							} else {
								this.merchantId = 1;
							}
							this.companyname = res.return_data.merName
							this.organizationName = res.return_data.orgName;
							this.organizationId = res.return_data.orgNo;
							this.merabbreviation = res.return_data.merAbbreviate;
							this.mccno = res.return_data.merMccCode;
							this.mccname = res.return_data.merMccName;
							// this.businimg = res.return_data.blisUrl;
							// this.uploadbusinimg = res.return_data.blisUrl;
							this.companyname = res.return_data.blisName;
							this.businnum = res.return_data.blisNo
							this.regaddress = res.return_data.blisRegAddress;
							if (res.return_data.blisPeriodStart) {
								this.start_date = res.return_data.blisPeriodStart;
							}
							if (res.return_data.blisPeriodType) {
								this.timetype = res.return_data.blisPeriodType;
							}
							if (res.return_data.blisPeriodEnd) {
								this.end_date = res.return_data.blisPeriodEnd;
							}
							if (res.return_data.merIndustry) {
								this.inducateid = res.return_data.merIndustry.childId;
								this.industrycategory = res.return_data.merIndustry.childName;
							}
							if (res.return_data.merRegion) {
								this.areaCode = res.return_data.merRegion.areaCode;
								this.regionName = res.return_data.merRegion.provinceName + '-' + res
									.return_data
									.merRegion.cityName + '-' + res.return_data.merRegion.areaName;
								this.detailsaddress = res.return_data.merRegion.address;
							}
							if (res.return_data && this.merchart == 2) {
								this.getDictionaryByCodeTypeOrg();

								this.idcardname = res.return_data.larName;
								this.idcard = res.return_data.larIdCard;
								this.merOperateType = res.return_data.merOperateType;
								this.merOnlineType = res.return_data.merOnlineType;
								for (var i = 0; i < this.merOperateList.length; i++) {
									if (res.return_data.merOperateType == this.merOperateList[i].codeValue) {
										this.merOperateName = this.merOperateList[i].codeName;
									}
								}
								for (var j = 0; j < this.merOnlineList.length; j++) {
									if (res.return_data.merOnlineType == this.merOnlineList[j].codeValue) {
										this.merOnlinetypsName = this.merOnlineList[j].codeName;
									}
								}
								//商户线上产品类型
								this.merOnlineName = res.return_data.merOnlineName;
								this.larIdCardAddress = res.return_data.larIdCardAddress
								this.getImgSignedUrl(1, res.return_data.blisUrl, 2);
								this.getImgSignedUrl(2, res.return_data.larIdCardPortraitImg, 2);
								this.getImgSignedUrl(3, res.return_data.larIdCardNationalEmblemImg, 2);
								if (res.return_data.larIdCardPeriodStart) {
									this.cardstart_date = res.return_data.larIdCardPeriodStart;
								}
								if (res.return_data.larIdCardPeriodType) {
									this.idcardtime = res.return_data.larIdCardPeriodType;
								}
								if (res.return_data.larIdCardPeriodEnd) {
									this.cardend_date = res.return_data.larIdCardPeriodEnd;
								}
							}
							//第三步
							if (res.return_data.merSettleAcct && this.rateCodeList) {
								this.rateCodeList = res.return_data.merSettleAcct.merRateList;
								let rateDatas = [];
								for (var i = 0; i < res.return_data.merSettleAcct.merRateList
									.length; i++) {
									// if (res.return_data.merSettleAcct.merRateList[i].ratePct) {
									let datas = {
										codeName: res.return_data.merSettleAcct.merRateList[i]
											.rateTypeName,
										codeValue: res.return_data.merSettleAcct.merRateList[i]
											.rateTypeCode,
										ext1: res.return_data.merSettleAcct.merRateList[i]
											.ratePct
									}
									rateDatas.push(datas);
									// }
								}
								this.rateCodeList = rateDatas;
							} else {
								this.getDictionaryByCodeType();
							}


							if (res.return_data.merSettleAcct && this.merchart == 3) {

								this.getImgSignedUrl(4, res.return_data.merSettleAcct.bankCardImg, 2);
								this.belongbranch = res.return_data.merSettleAcct.openningBankName;

								this.openingbankNo = res.return_data.merSettleAcct.openningBankCode;
								this.getImgSignedUrl(5, res.return_data.merSettleAcct
									.openningBankLicenseUrl, 2);
								if (res.return_data.merSettleAcct.electronicPact) {
									this.electronicProtocolimg = res.return_data.merSettleAcct
										.electronicPact
										.split(
											';');
								}
								this.clearbankNo = res.return_data.merSettleAcct.clearingBankCode;

								this.lementId = res.return_data.merSettleAcct.settleType;
								if (this.lementId == 1) {
									this.lementType = '对公结算';
								}
								if (this.lementId == 2) {
									this.lementType = '对私法人结算';
								}
								if (this.lementId == 3) {
									this.lementType = '对私非法人结算';
								}
								this.bankregionName = res.return_data.merSettleAcct
									.openningBankProvinceName +
									'-' +
									res.return_data
									.merSettleAcct.openningBankCityName + '-' + res.return_data
									.merSettleAcct
									.openningBankAreaName;
								this.bankNo = res.return_data.merSettleAcct.bankCardNo;
								this.bankName = res.return_data.merSettleAcct.bankCardHolder;
								this.belongbank = res.return_data.merSettleAcct.bankName;
								this.idcardname = res.return_data.merSettleAcct.settleIdCardName;
								this.idcard = res.return_data.merSettleAcct.settleIdCardNo;
								this.larIdCardAddress = res.return_data.merSettleAcct
									.settleIdCardAddress;
								this.idcardtime = res.return_data.merSettleAcct.settleIdPeriodType;
								this.bankareaCode = res.return_data.merSettleAcct.openningBankAreaCode;

								this.getImgSignedUrl(2, res.return_data.merSettleAcct
									.settleIdCardPortraitImg, 2);
								this.getImgSignedUrl(3, res.return_data.merSettleAcct
									.settleIdCardNationalEmblemImg, 2);
								this.getImgSignedUrl(10, res.return_data.merSettleAcct
									.commissionImg, 2);
								this.cardstart_date = res.return_data.merSettleAcct
									.settleIdCardPeriodStart;
								this.cardend_date = res.return_data.merSettleAcct
									.settleIdCardPeriodEnd;
							}
							//第四步
							if (res.return_data.storeModel) {
								// this.storeaccount = res.return_data.storeModel.account.loginName;
								this.storename = res.return_data.storeModel.name;
								this.storephone = res.return_data.storeModel.telephone;
								this.storeAddress = res.return_data.storeModel.storeRegion.address;
								this.storeareaCode = res.return_data.storeModel.storeRegion.areaCode;
								this.storelongitude = res.return_data.storeModel.storeRegion.longitude;
								this.storelatitude = res.return_data.storeModel.storeRegion.latitude;
								this.getImgSignedUrl(6, res.return_data.storeModel.doorHeadImg, 2);
								this.getImgSignedUrl(7, res.return_data.storeModel.cashRegisterImg, 2);
								this.getImgSignedUrl(8, res.return_data.storeModel.internalImg, 2);
							}

						} else {
							this.currentstatus = 1;
						}
					} else {
						this.getDictionaryByCodeType();
						this.getDictionaryByCodeTypeOrg();
					}
				})
			},
			//账户信息提交
			accountsub() {
				if (!this.mercontacts) {
					uni.showToast({
						title: '请输入商户联系人',
						icon: "none",
						duration: 2000
					});
					return;
				}
				if (!this.phoneNumber) {
					uni.showToast({
						title: '请输入商户手机号',
						icon: "none",
						duration: 2000
					});
					return;
				}
				if (!this.emails) {
					uni.showToast({
						title: '请输入联系邮箱',
						icon: "none",
						duration: 2000
					});
					return;
				}
				// if (!this.code) {
				// 	uni.showToast({
				// 		title: '请输入验证码',
				// 		icon: "none",
				// 		duration: 2000
				// 	});
				// 	return;
				// }
				if (!this.loginphone) {
					uni.showToast({
						title: '请输入商户登录账号',
						icon: "none",
						duration: 2000
					});
					return;
				}
				// if (!this.ischecked) {
				// 	uni.showToast({
				// 		title: '请勾选',
				// 		icon: "none"
				// 	});
				// 	return;
				// }
				let datas = {
					"loginName": this.loginphone,
					"name": this.mercontacts,
					"phone": this.phoneNumber,
					"email": this.emails
				}
				configMerAccount(datas).then(res => {
					if (res.return_code == '000000') {
						this.merchart = 2;
						this.merId = res.return_data.id;
						this.merDetailInfo = res.return_data;
						this.getMerDetail(0);
					} else {
						uni.showToast({
							title: res.return_msg,
							icon: 'none',
							duration: 2000
						})
					}
				})
			},
			// 提交基本信息
			submitbasic() {
				let that = this;
				if (that.merchantId == 1 || that.merchantId == 2) {
					if (!that.businimg) {
						uni.showToast({
							title: '请上传营业执照',
							icon: "none",
							duration: 2000
						});
						return;
					}
					if (!that.businnum) {
						uni.showToast({
							title: '请填写营业执照号',
							icon: "none",
							duration: 2000
						});
						return;
					}
					if (!that.regaddress) {
						uni.showToast({
							title: '请填写注册地址',
							icon: "none",
							duration: 2000
						});
						return;
					}
					if (!that.start_date) {
						uni.showToast({
							title: '请填写营业执照开始时间',
							icon: "none",
							duration: 2000
						});
						return;
					}
					if (!that.end_date) {
						uni.showToast({
							title: '请填写营业执照结束时间',
							icon: "none",
							duration: 2000
						});
						return;
					}
				}
				if (!that.companyname) {
					uni.showToast({
						title: '请填写公司名称',
						icon: "none",
						duration: 2000
					});
					return;
				}
				if (!that.merabbreviation) {
					uni.showToast({
						title: '请填写公司简称',
						icon: "none",
						duration: 2000
					});
					return;
				}
				if (!that.inducateid) {
					uni.showToast({
						title: '请选择行业类目',
						icon: "none",
						duration: 2000
					});
					return;
				}
				if (!that.areaCode) {
					uni.showToast({
						title: '请选择经营地区',
						icon: "none",
						duration: 2000
					});
					return;
				}
				if (!that.mccno) {
					uni.showToast({
						title: '请选择mcc编号',
						icon: "none",
						duration: 2000
					});
					return;
				}
				// if (that.mccno.length != 4) {
				// 	uni.showToast({
				// 		title: '请填写正确的mcc编号',
				// 		icon: "none",
				// 		duration: 2000
				// 	});
				// 	return;
				// }
				if (!that.detailsaddress) {
					uni.showToast({
						title: '请填写详情地址',
						icon: "none",
						duration: 2000
					});
					return;
				}
				if (!that.idcardposimg) {
					uni.showToast({
						title: '请上传身份证正面照',
						icon: "none",
						duration: 2000
					});
					return;
				}
				if (!that.idcardsideimg) {
					uni.showToast({
						title: '请上传身份证反面照',
						icon: "none",
						duration: 2000
					});
					return;
				}

				if (!that.idcardname) {
					uni.showToast({
						title: '请填写姓名',
						icon: "none",
						duration: 2000
					});
					return;
				}

				if (!that.idcard) {
					uni.showToast({
						title: '请填写身份证号',
						icon: "none",
						duration: 2000
					});
					return;
				}
				if (!that.larIdCardAddress) {
					uni.showToast({
						title: '请填写身份证地址',
						icon: "none",
						duration: 2000
					});
					return;
				}

				if (!that.cardstart_date) {
					uni.showToast({
						title: '请选择身份证开始时间',
						icon: "none",
						duration: 2000
					});
					return;
				}
				if (!that.cardend_date) {
					uni.showToast({
						title: '请选择身份证结束时间',
						icon: "none",
						duration: 2000
					});
					return;
				}
				if (!that.merOperateType) {
					uni.showToast({
						title: '请选择经营类型',
						icon: "none",
						duration: 2000
					});
					return;
				}

				if (that.merOperateType && that.merOperateType == 2) {
					if (!that.merOnlineType) {
						uni.showToast({
							title: '请选择线上产品类型',
							icon: "none",
							duration: 2000
						});
						return;
					}
					if (!that.merOnlineName) {
						uni.showToast({
							title: '请输入线上产品名称',
							icon: "none",
							duration: 2000
						});
						return;
					}
				}

				if (that.merchantId == 3) {
					this.start_date = '';
					this.end_date = '';
				} else {
					if (that.timetype == 2) {
						that.end_date = '长期有效'
					}
				}
				if (that.idcardtime == 2) {
					that.cardend_date = '长期有效'
				}
				uni.showLoading({
					title: '提交中...'
				})
				let datas = {
					"id": that.merId,
					"orgNo": that.organizationId,
					"merType": that.merchantId,
					"merName": that.companyname,
					"merAbbreviate": that.merabbreviation,
					"merMccCode": that.mccno,
					"blisUrl": that.uploadbusinimg,
					"blisName": that.companyname,
					"blisNo": that.businnum,
					"blisRegAddress": that.regaddress,
					"blisPeriodStart": that.start_date,
					"blisPeriodType": that.timetype, // 营业执照期限类型  1：有效期   2：长期
					"blisPeriodEnd": that.end_date,
					"larName": that.idcardname,
					"larIdCard": that.idcard,
					"merOperateType": that.merOperateType,
					"merOnlineType": that.merOnlineType,
					"merOnlineName": that.merOnlineName,
					"larIdCardAddress": that.larIdCardAddress,
					"larIdCardPortraitImg": that.uploadidcardposimg,
					"larIdCardNationalEmblemImg": that.uploadidcardsideimg,
					"larIdCardPeriodStart": that.cardstart_date,
					"larIdCardPeriodType": that.idcardtime, // 法人身份证有效期类型  1：有效期   2：长期
					"larIdCardPeriodEnd": that.cardend_date,
					"merIndustry": {
						"childId": that.inducateid
					},
					"merRegion": {
						"address": that.detailsaddress,
						"areaCode": that.areaCode
					}
				}
				configMerBasis(datas).then(res => {
					uni.hideLoading();
					if (res.return_code == '000000') {
						that.idcardposimg = '';
						that.idcardsideimg = '';
						that.uploadidcardposimg = '';
						that.uploadidcardsideimg = '';
						that.idcardname = '';
						that.idcard = '';
						that.idcardtime = 1;
						that.cardstart_date = '开始时间';
						that.cardend_date = '结束时间';
						that.merchart = 3;
						uni.showToast({
							title: '提交成功',
							icon: 'none',
							duration: 2000
						})
						that.getMerDetail(0);
					} else {
						uni.showToast({
							title: res.return_msg,
							icon: 'none',
							duration: 2000
						})
					}
				})


			},
			//结算信息提交
			submitsettlement() {
				let that = this;
				if (that.lementId == 1) {
					if (!that.accopenperimg) {
						uni.showToast({
							title: '请上传开户许可证照片',
							icon: "none",
							duration: 2000
						});
						return;
					}
				}
				if (that.lementId == 2 || that.lementId == 3) {
					if (!that.settleimg) {
						uni.showToast({
							title: '请上传银行卡照片',
							icon: "none",
							duration: 2000
						});
						return;
					}
				}
				if (that.lementId == 3) {
					if (!that.uncorporsettelimg) {
						uni.showToast({
							title: '请上传结算委托书',
							icon: "none",
							duration: 2000
						});
						return;
					}
				}
				if (that.lementId == 3) {
					if (!that.idcardposimg) {
						uni.showToast({
							title: '请上传身份证正面照',
							icon: "none",
							duration: 2000
						});
						return;
					}
					if (!that.idcardsideimg) {
						uni.showToast({
							title: '请上传身份证反面照',
							icon: "none",
							duration: 2000
						});
						return;
					}

					if (!that.idcardname) {
						uni.showToast({
							title: '请填写姓名',
							icon: "none",
							duration: 2000
						});
						return;
					}

					if (!that.idcard) {
						uni.showToast({
							title: '请填写身份证号',
							icon: "none",
							duration: 2000
						});
						return;
					}
					if (!that.larIdCardAddress) {
						uni.showToast({
							title: '请填写身份证地址',
							icon: "none",
							duration: 2000
						});
						return;
					}
					if (!that.cardstart_date) {
						uni.showToast({
							title: '请选择身份证开始时间',
							icon: "none",
							duration: 2000
						});
						return;
					}
					if (!that.cardend_date) {
						uni.showToast({
							title: '请选择身份证结束时间',
							icon: "none",
							duration: 2000
						});
						return;
					}
				}

				// if (!that.openingbankNo) {
				// 	uni.showToast({
				// 		title: '请填写开户行号',
				// 		icon: "none",
				// 		duration: 2000
				// 	});
				// 	return;
				// }

				if (!that.bankareaCode) {
					uni.showToast({
						title: '请选择开户行地址',
						icon: "none",
						duration: 2000
					});
					return;
				}
				if (!that.bankNo) {
					uni.showToast({
						title: '请填写银行卡号',
						icon: "none",
						duration: 2000
					});
					return;
				}
				if (!that.bankName) {
					uni.showToast({
						title: '请填写银行卡持有人',
						icon: "none",
						duration: 2000
					});
					return;
				}
				if (!that.belongbank) {
					uni.showToast({
						title: '请填写所属银行',
						icon: "none",
						duration: 2000
					});
					return;
				}
				// if (!that.electronicProtocolimg) {
				// 	uni.showToast({
				// 		title: '请上传电子协议',
				// 		icon: "none",
				// 		duration: 2000
				// 	});
				// 	return;
				// }
				// if (!that.clearbankNo) {
				// 	uni.showToast({
				// 		title: '请填写清算行号',
				// 		icon: "none",
				// 		duration: 2000
				// 	});
				// 	return;
				// }
				if (that.merRateList.length != that.rateCodeList.length) {
					uni.showToast({
						title: '请完善商户费率',
						icon: "none",
						duration: 2000
					});
					return;
				}
				if (that.lementId != 3) {
					that.cardstart_date = '';
					that.cardend_date = '';
				} else {
					if (that.idcardtime == 2) {
						that.cardend_date = '长期有效'
					}
				}
				// let imgsqes = that.electronicProtocolimg.join(';');
				uni.showLoading({
					title: '提交中...'
				})
				let datas = {
					"merId": that.merId,
					"settleType": that.lementId, //结算类型 1：对公结算  2：对私法人结算  3：对私非法人结算,
					"bankCardImg": that.uploadsettleimg, //"银行卡照片",
					"openningBankName": that.belongbranch, //"银行名称",
					"bankCardNo": that.bankNo, //"银行卡号",
					"openningBankAreaCode": that.bankareaCode, // 开户地址
					"bankCardHolder": that.bankName, //"银行卡持有人",
					"openningBankCode": that.openingbankNo, //"开户行号",
					"bankName": that.belongbank, //"开户行名称",
					"openningBankLicenseUrl": that.uploadaccopenperimg, //"开户许可证照片",
					// "electronicPact": imgsqes, //电子协议
					"clearingBankCode": that.clearbankNo, //"账户清算行号",
					"settleIdCardName": that.idcardname, //身份证名字
					"settleIdCardNo": that.idcard, //身份证号
					"settleIdCardAddress": that.larIdCardAddress, // 身份证地址
					"commissionImg": that.uploaduncorporsettelimg, // 结算委托书
					"settleIdPeriodType": that.idcardtime, //【对私非法人结算】结算人身份证有效期类型  1：有效期   2：长期,
					"settleIdCardPortraitImg": that.uploadidcardposimg, //"【对私非法人结算】结算人身份证人像面图片",
					"settleIdCardNationalEmblemImg": that.uploadidcardsideimg, //"【对私非法人结算】结算人身份证国徽面图片",
					"settleIdCardPeriodStart": that.cardstart_date, //"【对私非法人结算】结算人身份证有效期开始时间",
					"settleIdCardPeriodEnd": that.cardend_date, //"【对私非法人结算】结算人身份证有效期结束时间"
					"merRateList": that.merRateList //费率传值
				}
				configMerSettlement(datas).then(res => {
					uni.hideLoading();
					if (res.return_code == '000000') {
						that.merchart = 4;
						uni.showToast({
							title: '提交成功',
							icon: 'none',
							duration: 2000
						})
						that.getMerDetail(0);
					} else {
						uni.showToast({
							title: res.return_msg,
							icon: 'none',
							duration: 2000
						})
					}
				})
			},
			//选择地址
			jumpChangeAddress() {
				uni.navigateTo({
					url: '/pages/index/map/map'
				})
			},
			//解析地址为经纬度
			formSubmit() {
				//调用地址解析接口
				qqmapsdk.geocoder({
					//获取表单传入地址
					address: this.storeAddress, //这里写的是地址  地址参数，例：固定地址，address: '北京市海淀区彩和坊路海淀西大街74号'
					success: res => { //成功后的回调
						this.storeareaCode = res.result.ad_info.adcode;
						this.storelongitude = res.result.location.lng;
						this.storelatitude = res.result.location.lat;
					},
					fail: function(error) {
						console.error(error);
					},
					complete: function(res) {
						console.log(res);
					}
				})
			},

			//提交门店进行审核
			submitsotre() {
				let that = this;
				// if (!that.storeaccount) {
				// 	uni.showToast({
				// 		title: '请填写门店账号',
				// 		icon: "none",
				// 		duration: 2000
				// 	});
				// 	return;
				// }
				if (!that.storename) {
					uni.showToast({
						title: '请填写门店名称',
						icon: "none",
						duration: 2000
					});
					return;
				}
				if (!that.storephone) {
					uni.showToast({
						title: '请填写门店电话',
						icon: "none",
						duration: 2000
					});
					return;
				}
				if (!that.storeAddress) {
					uni.showToast({
						title: '请填写门店地址',
						icon: "none",
						duration: 2000
					});
					return;
				}
				if (!that.storeareaCode) {
					uni.showToast({
						title: '请输入正确的门店地址',
						icon: "none",
						duration: 2000
					});
					return;
				}
				if (!that.storeimg1) {
					uni.showToast({
						title: '请上传门头照片',
						icon: "none",
						duration: 2000
					});
					return;
				}
				if (!that.storeimg2) {
					uni.showToast({
						title: '请上传收银台照片',
						icon: "none",
						duration: 2000
					});
					return;
				}
				if (!that.storeimg3) {
					uni.showToast({
						title: '请上传室内照片',
						icon: "none",
						duration: 2000
					});
					return;
				}
				let platformType = "";
				if (that.merPlatformType && that.merPlatformType != undefined) {
					platformType = that.merPlatformType;
				}
				uni.showModal({
					title: '提交审核',
					content: '确认信息是否正确。',
					success: (res) => {
						if (res.confirm) {
							uni.showLoading({
								title: '提交审核中...'
							})
							let datas = {
								"merId": that.merId,
								// "account": {
								// 	"loginName": that.storeaccount
								// },
								"name": that.storename,
								"telephone": that.storephone,
								"doorHeadImg": that.uploadstoreimg1,
								"cashRegisterImg": that.uploadstoreimg2,
								"internalImg": that.uploadstoreimg3,
								"merPlatformType": platformType,
								"storeRegion": {
									"address": that.storeAddress,
									"areaCode": that.storeareaCode,
									"longitude": that.storelongitude,
									"latitude": that.storelatitude
								}

							}
							configMerStore(datas).then(res => {
								uni.hideLoading();
								if (res.return_code == '000000') {
									uni.showToast({
										title: '提交成功',
										icon: 'none',
										duration: 1000,
										success() {
											setTimeout(() => {
												uni.navigateBack({})
											}, 1000);
										}
									})
								} else {
									uni.showToast({
										title: res.return_msg,
										icon: 'none',
										duration: 2000
									})
								}
							})
						} else if (res.cancel) {
							console.log('用户点击取消');
						}
					}
				});
			},
			//查询费率类型
			getDictionaryByCodeType() {
				let params = {
					codeType: 'MER_PLATFORM_NO_RATE'
				}
				getDictionaryByCodeType(params).then(res => {
					if (res.return_code == '000000') {
						this.rateCodeList = res.return_data;
					}
				})
			},
			//查询机构数据字典
			getDictionaryByCodeTypeOrg() {
				let params = {
					codeType: 'ORG_NO'
				}
				getDictionaryByCodeType(params).then(res => {
					if (res.return_code == '000000') {
						this.organizationType = res.return_data;
						if (!this.merDetailInfo.orgName) {
							this.organizationId = res.return_data[0].codeValue;
							this.organizationName = res.return_data[0].codeName;
						}
					}
				})
			},
			//选择机构类型
			changefeilvalue(e) {
				this.organizationId = this.organizationType[e.target.value].codeValue;
				this.organizationName = this.organizationType[e.target.value].codeName;
			}
		}
	}
</script>

<style lang="scss">
	page {
		background-color: #f7f5f6;
	}

	.firstcz {
		color: #609ded;
		width: 15%;
		text-align: center;
		display: inline-grid;
		justify-content: center;

		.labely {
			width: 40px;
			height: 40px;
			line-height: 40px;
			border-radius: 50%;
			border: 1px solid #007AFF;
		}
	}

	.chachaimg {
		width: 20px;
		float: right;
	}

	.lineh {
		width: 13.3%;
		height: 1px;
		background-color: #e6e8e7;
	}

	.titlename {
		width: calc(100% - 90upx);
		height: 100upx;
		display: flex;
		align-items: center;
		background-color: rgba($color: #ffffff, $alpha: 0.1);
		padding: 0 45upx;
	}

	.username,
	.password {
		width: calc(100% - 90upx);
		height: 100upx;
		display: flex;
		align-items: center;
		background-color: rgba($color: #ffffff, $alpha: 0.1);
		border-bottom: 1px solid #f6f6f6;
		padding: 8upx 45upx;

		input {
			width: 50%;
			height: 50upx;
			font-size: 16px;
			color: #333333;
			font-weight: blod;
		}

		.get-code {
			position: absolute;
			display: flex;
			align-items: center;
			justify-content: center;
			right: 7px;
			z-index: 3;
			border: 1px solid #bfbfbf;
			width: 25%;
			padding: 3px 5px;
			border-radius: 22px;

			&:after {
				content: " ";
				width: 1upx;
				height: 50upx;
				position: absolute;
				z-index: 3;
				margin-right: 100%;
				left: 0;
				top: 20upx;
			}
		}

		.namecont {
			color: #666666;
			width: 28%;
		}
	}

	.notes {
		width: calc(100% - 90upx);
		display: flex;
		align-items: center;
		background-color: rgba($color: #ffffff, $alpha: 0.1);
		border-bottom: 1px solid #f6f6f6;
		padding: 20rpx 45rpx;
		color: #bfbfbf;

	}

	.checkboxg {
		width: calc(100% - 90upx);
		display: flex;
		align-items: center;
		padding: 20rpx 45rpx;
	}

	.checbox {
		zoom: 80%;
	}

	.btn {
		color: #FFFFFF;
		background-color: #0083f5;
		width: 90%;
		margin-left: 5%;
		margin-top: 80rpx;
		margin-bottom: 50rpx;
		height: 90rpx;
		display: flex;
		justify-content: center;
		align-items: center;
		border-radius: 10rpx;
		font-size: 40rpx;
	}

	.onlab {
		color: #0083f5;
		text-align: center;
		font-size: 14px;
	}

	.wybtc {
		width: calc(100% - 90upx);
		display: flex;
		height: 80px;
		align-items: center;
		background-color: #FFFFFF;
		border-bottom: 1px solid #f6f6f6;
		padding: 15rpx 45rpx;
		border-radius: 8px;
		color: #bfbfbf;
	}
</style>